React UI Components Documentation

Typescript React Rating Component

This tutorial will show you the basics of how to get started with the jQWidgets Rating React Component.

Prerequisites

Refer to Getting Started with React before you start with this help topic.

Structure


I. Imports:

import * as React from 'react';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';
import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';
import JqxRating, { IRatingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxrating';

II. Class:

class App extends React.PureComponent<{}, IRatingProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxRating
width={this.state.width} height={"100%"} .....
/>
)
}
}

III. Render:

ReactDOM.render(<App />, document.getElementById('app'));

Events

The event names in React are constructed of the original event names starting with capital letter plus on upfront:

class App extends React.PureComponent<{}, IRatingProps> {
constructor(props: {}) {
super(props);
this.state = {
width: '100%'
// Other Widget Props
}
}
render() {
return (
<JqxRating onNameOfEvent={this.handleEvent}
width={this.state.width} height={"100%"} .....
/>
)
}
private handleEvent(e: Event): void {
// Do Something ...
}
}

Methods & Properties

This is how you call methods & props:

//Get Methods
const value = this.myRating.current!.methodName(arg1, arg2);
//Set Methods
this.myRating.current!.methodName(arg1, arg2);
//Get Properties
const height = this.state.height;
//Set Properties
this.setState({ height: 250 });

Every component have a method setOptions which accepts a object as an argument. This object contains component settings.

this.myRating.current!.setOptions({ width: 350, height: 400 });

Every component also have a method getOptions which returns the value of the requested option.

const width = this.myRating.current!.getOptions('width');

Rating API

API Reference of the jQWidgets Rating React Component: Rating API

Rating Demos

Demos Reference of the jQwidgets Rating React Component: Rating Demos

Angular UI Components Documentation

Angular Rating Component

The Rating component for Angular represents a widget that allows you to choose a rating. You can configure the Rating items size, image and the number of displayed items.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<div id='jqxWidget' style="font-size: 13px; font-family: Verdana;">
  <jqxRating #jqxRating
             (onChange)="change($event)"
             [width]="350"
             [height]="35"></jqxRating>
  <div style='margin-top: 10px;'>
    <div style='float: left;'>Rating: </div><div style='float: left;' #rate></div>
  </div>
</div>	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild, ElementRef } from '@angular/core';


import { jqxRatingModule, jqxRatingComponent } from 'jqwidgets-ng/jqxrating';
@Component({
    selector: 'app-root',
    imports: [jqxRatingModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
    @ViewChild('rate') rate: ElementRef;

    change(event: any): void {
        let rate = this.rate.nativeElement;

        rate.innerHTML = '<span> ' + event.value + '</span>';
    }
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

Rating API

API Reference of the jQWidgets Rating component for Angular: Rating API